> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate image

> Generate Podcast images using Web pricing. Set source to podcast_background for a background or podcast_cover for covers; poll get_image_task.

MCP tool: `podcast_generate_image`. OAuth scope: `podcast.generate`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/images/generate
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/images/generate:
    post:
      tags:
        - Podcast
      summary: generate image
      description: >-
        Generate Podcast images using Web pricing. Set source to
        podcast_background for a background or podcast_cover for covers; poll
        get_image_task.
      operationId: podcast_generate_image
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.CreatePhotoReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        type: object
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.CreatePhotoReq:
      properties:
        age:
          description: 年纪
          type: string
        aspect_ratio:
          description: 宽高比 0:9比16/1:16比9/2:1比1；podcast_cover 额外支持 3:3比4/4:4比3
          type: integer
        avatar_library_id:
          description: avatar_library 表ID
          type: integer
        avatar_type:
          description: 数字人类型，可选，不传默认 default；支持 default/pet/cartoon
          enum:
            - default
            - pet
            - cartoon
          type: string
        background:
          description: 提示词，长度上限1500英文字符
          type: string
        base_photo_url:
          description: 基础图片（向后兼容，建议使用 reference_images）
          type: string
        detail:
          description: 生图提示词，最多16000个Unicode字符
          maxLength: 16000
          type: string
        gender:
          description: 性别
          type: string
        lora_unique_id:
          description: lora 模型 id
          type: string
        model:
          description: '模型: 1:modern-flair/2:timeless-charm'
          type: integer
        number_of_images:
          description: 生成图片张数 1-4
          type: integer
        origin:
          description: 人种
          type: string
        photo_real:
          description: 真实感开关：true-开启；false-关闭
          type: boolean
        podcastTyp:
          description: 对话数字人类型 0:默认值，非对话数字人/1:左/2:右
          type: integer
        podcastVersion:
          description: podcast版本 目前有效值为 10 和 20
          type: integer
        preset_style:
          description: 风格
          type: string
        quality:
          description: 生图质量 medium/high，仅 gpt-image2 使用
          type: string
        reference_images:
          description: 参考图列表
          items:
            $ref: '#/components/schemas/dto.ReferenceImageReq'
          type: array
        remix_avatar_unique_id:
          description: remix ugcAvatar 表的 uniqueId
          type: string
        resolution:
          description: 生图分辨率 1K/2K/4K
          type: string
        seed:
          description: 随机种子
          type: integer
        source:
          description: 来源，目前支持 podcast/background/image/podcast_background/podcast_cover
          enum:
            - podcast
            - background
            - image
            - podcast_background
            - podcast_cover
          type: string
        talking_pose:
          description: 提示词，长度上限1500英文字符
          type: string
        task_from:
          description: 任务来源：1-aigc;3-packs;99-代表工具生成，无需扣费和队列限制
          type: integer
        typ:
          description: >-
            Podcast 背景分类；source=podcast_background 时必填，0:Speaker
            Focus/2:Alternating shots
          enum:
            - 0
            - 2
          type: integer
      required:
        - number_of_images
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    dto.ReferenceImageReq:
      properties:
        key:
          description: 类型；source=image/background/podcast_background/podcast_cover 时不限制枚举
          type: string
        url:
          description: 图片URL
          type: string
      required:
        - key
        - url
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````